2017-09-25 18:40 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004048Kali Linux[All Projects] Kali Package Bugpublic2017-06-12 12:02
ReporterPhexcom 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0004048: Kali won't upgrade because of Dradis
Descriptionapt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up dradis (3.6.0-0kali1) ...
Warning: The home dir /var/lib/dradis you specified already exists.
The system user `dradis' already exists. Exiting.
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from require at /usr/lib/ruby/vendor_ruby/bundler/runtime.rb:91)
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from require at /usr/lib/ruby/vendor_ruby/bundler/runtime.rb:91)
Faraday::Builder is now Faraday::RackBuilder.
Rails Error: Unable to access log file. Please ensure that /usr/lib/dradis/log/development.log exists and is writable (ie, make it writable for user and group: chmod 0664 /usr/lib/dradis/log/development.log). The log level has been raised to WARN and the output directed to STDERR until the problem is fixed.
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from <top (required)> at /usr/lib/dradis/config/environment.rb:5)
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from <top (required)> at /usr/lib/dradis/config/environment.rb:5)
rails aborted!
Errno::ENOENT: No such file or directory @ rb_sysopen - /usr/lib/dradis/log/resque.log
bin/rails:4:in `require'
bin/rails:4:in `<main>'
Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)
dpkg: error processing package dradis (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of kali-linux-full:
 kali-linux-full depends on dradis; however:
  Package dradis is not configured yet.

dpkg: error processing package kali-linux-full (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of kali-linux-all:
 kali-linux-all depends on kali-linux-full; however:
  Package kali-linux-full is not configured yet.

dpkg: error processing package kali-linux-all (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 dradis
 kali-linux-full
 kali-linux-all
E: Sub-process /usr/bin/dpkg returned an error code (1)
Steps To Reproduceapt-get upgrade
Attached Files

-Relationships
+Relationships

-Notes

~0006767

sbrun (manager)

I didn't reproduce this issue.
Can you provide the output of the following commands:
ls -al /usr/lib/dradis/log
ls -al /var/log/dradis
grep dradis /var/log/dpkg.log*

~0006776

Phexcom (reporter)

ls -al /usr/lib/dradis/log

lrwxrwxrwx 1 root root 15 Apr 20 17:25 /usr/lib/dradis/log -> /var/log/dradis



ls -al /var/log/dradis
ls: cannot access '/var/log/dradis': No such file or directory



 grep dradis /var/log/dpkg.log*
/var/log/dpkg.log:2016-11-03 21:22:17 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log:2016-11-03 21:22:17 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2016-11-03 21:41:36 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2016-11-03 21:41:36 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:04:49 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:04:49 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:05:20 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:05:20 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:05:53 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:05:53 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:06:10 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:06:10 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:22:50 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:22:50 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:23:06 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:23:06 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:25:37 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:25:37 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 19:25:53 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 19:25:53 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 22:23:54 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 22:23:54 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 22:56:17 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 22:56:17 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 22:56:55 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 22:56:55 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-24 22:57:11 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-24 22:57:11 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2017-05-25 03:49:42 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2017-05-25 03:49:42 status half-configured dradis:amd64 3.6.0-0kali1
/var/log/dpkg.log.1:2016-11-03 21:40:17 configure dradis:amd64 3.6.0-0kali1 <none>
/var/log/dpkg.log.1:2016-11-03 21:40:17 status half-configured dradis:amd64 3.6.0-0kali1

~0006777

rhertzog (administrator)

Why did you remove /var/log/dradis? That directory is created on initial package installation.

Try "mkdir -p /var/log/dradis && chown -R dradis:dradis /var/log/dradis" and rerun the package upgrade.

~0006779

Phexcom (reporter)

I got it working successfully now. But I didn't delete /var/log/dradis. The error just came up when i was trying to run package upgrade

~0006815

sbrun (manager)

the new version 3.6.0-0kali2 creates /var/log/dradis and other directories if they are missing.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-29 13:41 Phexcom New Issue
2017-05-29 13:41 Phexcom File Added: Screenshot from 2017-05-29 17-41-24.png
2017-05-30 08:03 sbrun Status new => feedback
2017-05-30 08:03 sbrun Note Added: 0006767
2017-05-30 14:53 Phexcom File Added: Screenshot from 2017-05-30 18-53-11.png
2017-05-30 14:53 Phexcom Note Added: 0006776
2017-05-30 14:53 Phexcom Status feedback => new
2017-05-30 15:53 rhertzog Note Added: 0006777
2017-05-30 19:56 Phexcom Note Added: 0006779
2017-06-12 12:02 sbrun Status new => resolved
2017-06-12 12:02 sbrun Resolution open => fixed
2017-06-12 12:02 sbrun Fixed in Version => 2017.2
2017-06-12 12:02 sbrun Note Added: 0006815
+Issue History